using System;
using System.Windows.Forms;
using RDPCrystalEDILibrary;
using System.Text;

namespace RDPCrystalEDILibrary_Demo.UserControls
{
    /// <summary>
    /// #PROJECT DESCRIPTION
    /// Demonstrates how to find meta data from EDI files using the EDISpecification component
    /// 
    /// #TECHNICAL SUPPORT
    /// Please contact us at support@rdpcrystal.com. Our support team can help answer your questions
    /// </summary>
    public partial class Find_Specifications : UserControl
    {
        public Find_Specifications()
        {
            InitializeComponent();
        }

        private void btnLoad_Click(object sender, EventArgs e)
        {
            StringBuilder builder = new StringBuilder();

            EDISpecification specs = EDISpecification.FindSpecificationFromString(txtFile.Text);

            builder.AppendLine(String.Format("{0} - {1}", "EDIFileType", specs.EDIFileType));
            builder.AppendLine(String.Format("{0} - {1}", "X12TransactionSetCode", specs.X12TransactionSetCode));
            builder.AppendLine(String.Format("{0} - {1}", "X12Version", specs.X12Version));
            builder.AppendLine(String.Format("{0} - {1}", "X12VersionCode", specs.X12VersionCode));

            txtSpecs.Text = builder.ToString();
        }
    }
}