using System;
using System.IO;
using System.Diagnostics;
using System.Windows.Forms;
using RDPCrystalEDILibrary;
using System.Text;

namespace RDPCrystalEDILibrary_Demo.UserControls
{
    /// <summary>
    /// #PROJECT DESCRIPTION
    /// Demonstrates how to parse an EDI file line by line using the EDIFileParser
    /// EDI data will then be dislayed in the UI
    /// 
    /// #TECHNICAL SUPPORT
    /// Please contact us at support@rdpcrystal.com. Our support team can help answer your questions
    /// </summary>
    public partial class Line_Parser : UserControl
    {
        public Line_Parser()
        {
            InitializeComponent();

            txtFile.Text = File.ReadAllText("EDIFiles\\Sample_4010_835-For_Line_Parser.txt");
        }

        private void LoadEDIFile()
        {
            EDIFileParser parser = new EDIFileParser("EDIFiles\\Sample_4010_835-For_Line_Parser.txt");
            parser.BeginFileLoad();

            StringBuilder builder = new StringBuilder();

            while (!parser.Finished())
            {
                string ediLine = parser.NextLine();
                builder.AppendLine(ediLine);
            }

            builder.AppendLine("Number Of Segments - " + parser.NumberOfSegments);

            txtEDIData.Text = builder.ToString();
        }

        private void btnLoad_Click(object sender, EventArgs e)
        {
            LoadEDIFile();
        }

        private void lnk_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            Process.Start("http://www.rdpcrystal.com/products/edi-library/edi-file-parser/");
        }
    }
}