﻿using System;
using System.Diagnostics;
using System.IO;
using System.Windows.Forms;
using RDPCrystalEDILibrary;

namespace RDPCrystalEDILibrary_Demo.UserControls
{
    /// <summary>
    /// #PROJECT DESCRIPTION
    /// Demonstrates how to parse and load a general X12 EDI file using the EDIFileLoader component
    /// 
    /// #TECHNICAL SUPPORT
    /// Please contact us at support@rdpcrystal.com. Our support team can help answer your questions
    /// </summary>
    public partial class Load_Any_X12_File : UserControl
    {
        private EDIFileLoader ediFileLoader = new EDIFileLoader();

        public Load_Any_X12_File()
        {
            InitializeComponent();

            txtFile.Text = File.ReadAllText("EDIFiles\\Sample_4010_810.txt");
        }

        private void btnLoad_Click(object sender, EventArgs e)
        {
            try
            {
                ediFileLoader.EDIDataString = txtFile.Text;

                EDILightWeightDocument doc = ediFileLoader.Load();

                //Dispays all the segments graphically in a visual component
                ediDocumentViewer1.LoadDocument(doc);
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message, "RDPCrystal EDI Library");
            }
        }

        private void lnk_LinkClicked(object sender, LinkLabelLinkClickedEventArgs e)
        {
            Process.Start("http://www.rdpcrystal.com/products/edi-library/edi-file-loader/");
        }
    }
}
