using System.Windows.Forms;

namespace RDPCrystalEDILibrary_Demo.UserControls
{
    /// <summary>
    /// #PROJECT DESCRIPTION
    /// Demonstrates how to use the EDIValidationUnit component to validate EDI files
    /// 
    /// #TECHNICAL SUPPORT
    /// Please contact us at support@rdpcrystal.com. Our support team can help answer your questions
    /// </summary>
    public partial class Validation_Unit:UserControl
    {
        public Validation_Unit()
        {
            InitializeComponent();

            validationUnit1.SuppressValidationCompleteMessage = true;
            validationUnit1.TrimString = "\r\n";

            validationUnit1.EDIFile = "EDIFiles\\Sample_5010_837P.txt"; //Path of file to validate

            //EDI Rules files are used by the EDIValidator component to validate and load EDI files.
            //Validation rules are located at \RDPCrystalInstallation\Validation Rules in your installation directory
            //You can view/edit them using the EDI Rules Creator Studio 
            validationUnit1.EDIRuleFile = "ValidationRules\\Rules_5010_837P_005010X222A1.Rules";
        }
    }
}